on enterGame
  setcursor()
  set the volume of sound 2 to 190
end

on goIndex
  go("return")
end

on playersOff
  puppetSprite(7, 0)
  puppetSprite(13, 0)
  puppetSprite(14, 0)
  puppetSprite(16, 0)
end

on alwaysPuppets
  puppetSprite(15, 1)
  puppetSprite(40, 1)
end

on goInstruct
  puppetSprite(15, 0)
  puppetSprite(16, 0)
  playersOff()
  resetVisibles()
  puppetTransition(9)
  go("ins")
end

on goBegin
  alwaysPuppets()
  resetVisibles()
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  setplayers()
end

on goSwim
  puppetSprite(15, 1)
  puppetSprite(40, 1)
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  set the locV of sprite 15 to the mouseV
  set the locH of sprite 15 to the mouseH
  setTarget()
  startPoints()
end

on setTarget
  set the locV of sprite 16 to the mouseV + 18
  set the locH of sprite 16 to the mouseH + 3
end

on setTarget2
  set the memberNum of sprite 15 to 3
  set the locV of sprite 16 to the mouseV
  set the locH of sprite 16 to the mouseH
end

on nextFish
  resetVisibles()
  playersOff()
  diverView()
  goSwim()
  setplayers()
end

on stopGame
  puppetSprite(15, 0)
  puppetSprite(16, 0)
  playersOff()
  set the memberNum of sprite 40 to 69
  resetVisibles()
  puppetTransition(9)
  go("GmOn")
end

on goWait
  puppetSprite(15, 1)
  puppetSprite(40, 1)
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  setplayers()
  set the memberNum of sprite 40 to 69
  go(the frame)
  if sprite 15 intersects 1 then
    go(#next)
  end if
end

on setDiver
  set the locV of sprite 15 to 320
  set the locH of sprite 15 to 240
  setTarget()
  updateStage()
end

on setplayers
  sprite(7).visible = 1
  sprite(8).visible = 1
  sprite(9).visible = 1
  sprite(10).visible = 1
  sprite(11).visible = 1
  sprite(12).visible = 1
  sprite(14).visible = 1
  sprite(20).visible = 1
  sprite(40).visible = 1
  updateStage()
end

on diverView
  set the constraint of sprite 15 to 3
  set the constraint of sprite 16 to 3
  if sprite 15 intersects 2 then
    setTarget2()
  else
    set the memberNum of sprite 15 to 4
  end if
end

on levelTwo
  diverView()
  resetVisibles()
  setplayers()
end

on levelThree
  diverView3()
  goSwim3()
end

on levelThreeFix
  diverView3()
  goSwim3Fix()
end

on diverView3
  set the constraint of sprite 15 to 3
  set the constraint of sprite 16 to 3
  if sprite 15 intersects 2 then
    setTarget2()
  else
    set the memberNum of sprite 15 to 4
  end if
end

on goSwim3
  puppetSprite(15, 1)
  puppetSprite(40, 1)
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  set the locV of sprite 15 to the mouseV
  set the locH of sprite 15 to the mouseH
  setTarget()
  startPoints3()
end

on startPoints3
  if sprite 16 intersects sprite(47) then
    goodGuy3()
  end if
end

on goSwim3Fix
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  set the locV of sprite 15 to the mouseV
  set the locH of sprite 15 to the mouseH
  setTarget()
end

on goodGuy3
  puppetSprite(47, 1)
  set the locH of sprite 47 to -50
  set the locV of sprite 47 to 700
  sprite(47).visible = 0
  addScore()
  updateStage()
end

on nextFish3
  resetVisibles()
  playersOff3()
  diverView3()
  goSwim3()
  setPlayers3()
end

on playersOff3
  puppetSprite(47, 0)
  puppetSprite(13, 0)
  puppetSprite(14, 0)
  puppetSprite(16, 0)
end

on setPlayers3
  sprite(47).visible = 1
  sprite(8).visible = 1
  sprite(9).visible = 1
  sprite(10).visible = 1
  sprite(11).visible = 1
  sprite(12).visible = 1
  sprite(14).visible = 1
  sprite(20).visible = 1
  sprite(40).visible = 1
  updateStage()
end

on loseScore
  if sprite 15 intersects sprite(20) then
    badBOYS()
  end if
end

on badBOYS
end

on badBoysoff
  puppetSound("Boing")
  set the memberNum of sprite 40 to the memberNum of sprite 40 - 1
end

on scoreCheck
  if the castNum of sprite 40 = 69 then
    set the memberNum of sprite 40 to 69
  else
    levelThree()
  end if
end

on getTotals
  go("Totals")
end

on getTotals2
  go("Totals2")
end

on getTotals3
  go("Totals3")
end

on setcursor
  set the cursor of sprite 21 to [1, 2]
  set the cursor of sprite 22 to [1, 2]
  set the cursor of sprite 23 to [1, 2]
  set the cursor of sprite 24 to [1, 2]
  set the cursor of sprite 25 to [1, 2]
  set the cursor of sprite 26 to [1, 2]
  set the cursor of sprite 27 to [1, 2]
  set the cursor of sprite 28 to [1, 2]
  set the cursor of sprite 29 to [1, 2]
  set the cursor of sprite 30 to [1, 2]
  set the cursor of sprite 31 to [1, 2]
  set the cursor of sprite 32 to [1, 2]
  updateStage()
end

on resetVisibles
  sprite(3).visible = 1
  sprite(4).visible = 1
  sprite(5).visible = 1
  sprite(6).visible = 1
  sprite(7).visible = 1
  sprite(8).visible = 1
  sprite(9).visible = 1
  sprite(10).visible = 1
  sprite(11).visible = 1
  sprite(12).visible = 1
  sprite(13).visible = 1
  sprite(14).visible = 1
  sprite(15).visible = 1
  sprite(16).visible = 1
  sprite(17).visible = 1
  sprite(18).visible = 1
  sprite(19).visible = 1
  sprite(20).visible = 1
  sprite(32).visible = 1
  sprite(36).visible = 1
  sprite(37).visible = 1
  sprite(38).visible = 1
  sprite(39).visible = 1
  sprite(40).visible = 1
  sprite(41).visible = 1
  sprite(42).visible = 1
  sprite(43).visible = 1
  sprite(44).visible = 1
  sprite(45).visible = 1
  sprite(46).visible = 1
  sprite(47).visible = 1
  sprite(48).visible = 1
end

on startPoints
  if sprite 16 intersects sprite(7) then
    goodGuy()
  else
  end if
  if sprite 15 intersects sprite(13) then
    goWrong()
  else
  end if
  if sprite 15 intersects sprite(5) then
    goWrong()
  else
  end if
  if sprite 15 intersects sprite(6) then
    goWrong()
  end if
end

on showCredits
  puppetSprite(1, 1)
  if sprite 15 intersects sprite(1) then
    go(1, "Creditsp.dir")
  end if
end

on NoPuppets
  puppetSprite(7, 0)
  puppetSprite(15, 1)
  puppetSprite(40, 1)
  set the cursor of sprite 15 to 200
  set the cursor of sprite 16 to 200
  set the locV of sprite 15 to the mouseV
  set the locH of sprite 15 to the mouseH
end

on goWrong
  goJail()
end

on goJail
  puppetSprite(15, 1)
  puppetSprite(16, 1)
  shrinkMe()
  shrinkYou()
  set the locH of sprite 15 to 60
  set the locV of sprite 15 to 40
  set the locH of sprite 16 to 60
  set the locV of sprite 16 to 40
  updateStage()
  goSwim()
end

on shrinkMe
  if the castNum of sprite 15 = 4 then
    set the castNum of sprite 15 to 210
  else
  end if
  if the castNum of sprite 40 = 210 then
    set the castNum of sprite 15 to 211
  else
  end if
  if the castNum of sprite 40 = 211 then
    set the castNum of sprite 15 to 212
  else
  end if
  if the castNum of sprite 40 = 212 then
    set the castNum of sprite 15 to 213
  end if
  if the castNum of sprite 40 = 213 then
    set the castNum of sprite 15 to 214
  else
  end if
  if the castNum of sprite 40 = 214 then
    set the castNum of sprite 15 to 215
  end if
  if the castNum of sprite 40 = 215 then
    set the castNum of sprite 15 to 216
  else
  end if
  if the castNum of sprite 40 = 216 then
    set the castNum of sprite 15 to 217
  end if
end

on shrinkYou
  if the castNum of sprite 15 = 3 then
    set the castNum of sprite 15 to 200
  else
  end if
  if the castNum of sprite 40 = 200 then
    set the castNum of sprite 15 to 201
  else
  end if
  if the castNum of sprite 40 = 201 then
    set the castNum of sprite 15 to 202
  else
  end if
  if the castNum of sprite 40 = 202 then
    set the castNum of sprite 15 to 203
  end if
  if the castNum of sprite 40 = 203 then
    set the castNum of sprite 15 to 204
  else
  end if
  if the castNum of sprite 40 = 204 then
    set the castNum of sprite 15 to 205
  end if
  if the castNum of sprite 40 = 205 then
    set the castNum of sprite 15 to 206
  else
  end if
  if the castNum of sprite 40 = 206 then
    set the castNum of sprite 15 to 207
  end if
end

on goodGuy
  puppetSprite(7, 1)
  set the locH of sprite 7 to -50
  set the locV of sprite 7 to 700
  sprite(7).visible = 0
  addScore()
  updateStage()
end

on badGuy
  puppetSprite(20, 1)
  set the locH of sprite 20 to -50
  set the locV of sprite 20 to 700
  sprite(20).visible = 0
  addScore()
  updateStage()
end

on getTotal
  if the castNum of sprite 40 = 79 then
    pts100()
  else
  end if
  if the castNum of sprite 40 = 78 then
    pts90()
  else
  end if
  if the castNum of sprite 40 = 77 then
    pts80()
  else
  end if
  if the castNum of sprite 40 < 77 then
    go("try")
  end if
end

on getTotal2
  if the castNum of sprite 40 = 89 then
    pts200()
  else
  end if
  if the castNum of sprite 40 = 88 then
    pts190()
  else
  end if
  if the castNum of sprite 40 = 87 then
    pts180()
  else
  end if
  if the castNum of sprite 40 = 86 then
    pts170()
  else
  end if
  if the castNum of sprite 40 < 86 then
    go("TryAgain2")
  end if
end

on getTotal3
  if the castNum of sprite 40 = 99 then
    pts300()
  else
  end if
  if the castNum of sprite 40 = 98 then
    pts290()
  else
  end if
  if the castNum of sprite 40 = 97 then
    pts280()
  else
  end if
  if the castNum of sprite 40 = 96 then
    pts270()
  else
  end if
  if the castNum of sprite 40 < 96 then
    go("Try")
  end if
end

on pts100
  go("100pts")
end

on pts90
  go("90pts")
end

on pts80
  go("80pts")
end

on pts200
  go("200pts")
end

on pts190
  go("190pts")
end

on pts180
  go("180pts")
end

on pts170
  go("170pts")
end

on pts300
  go("300pts")
end

on pts290
  go("290pts")
end

on pts280
  go("280pts")
end

on pts270
  go("270pts")
end

on addScore
  puppetSound("score")
  set the memberNum of sprite 40 to the memberNum of sprite 40 + 1
end

on scoreReset
  set the memberNum of sprite 40 to 69
  updateStage()
end

on squrVoice
  puppetSound("LsSqur.aif")
end

on jackVoice
  puppetSound("jacknife.aif")
end

on dogVoice
  puppetSound("DogSnap.aif")
end

on angelVoice
  puppetSound("QnAngel.aif")
end

on starVoice
  puppetSound("Star.aif")
end

on spadeVoice
  puppetSound("AtSpade.aif")
end

on fileVoice
  puppetSound("WhtFile.aif")
end

on bandVoice
  puppetSound("Bandbut.aif")
end

on ballVoice
  puppetSound("Ballfish.aif")
end

on trnkVoice
  puppetSound("SmTrunk.aif")
end

on guitarVoice
  puppetSound("GuitFish.aif")
end

on lsbutVoice
  puppetSound("LsBut.aif")
end

on doctorVoice
  puppetSound("Doctor.aif")
end

on flounderVoice
  puppetSound("Flounder.aif")
end

on parrotVoice
  puppetSound("Parrot.aif")
end

on batVoice
  puppetSound("Bat.aif")
end

on pufferVoice
  puppetSound("Puffer.aif")
end

on trumpetVoice
  puppetSound("Trumpet.aif")
end

on kgangelVoice
  puppetSound("KgAngel.aif")
end

on cowVoice
  puppetSound("Cow.aif")
end

on horseVoice
  puppetSound("Horse.aif")
end

on hawkVoice
  puppetSound("Hawk.aif")
end

on drumVoice
  puppetSound("Drum.aif")
end

on blennyVoice
  puppetSound("Blenny.aif")
end

on stargazerVoice
  puppetSound("Gaze.aif")
end

on clownVoice
  puppetSound("Clown.aif")
end

on GrangelVoice
  puppetSound("GrAngel.aif")
end

on hatVoice
  puppetSound("Hat.aif")
end

on foureyeVoice
  puppetSound("Four.aif")
end

on barVoice
  puppetSound("BarJk.aif")
end

on click downSound, upSound
  if stringp(downSound) then
    puppetSound(downSound)
  end if
  this = the castNum of sprite the clickOn
  set the castNum of sprite the clickOn to this + 1
  updateStage()
  repeat while the stillDown or soundBusy(1)
  end repeat
  if stringp(upSound) then
    puppetSound(upSound)
  end if
  set the castNum of sprite the clickOn to this
  updateStage()
  repeat while soundBusy(1)
  end repeat
  puppetSound(0)
  updateStage()
end
